Skip to content

Get conversation

Request

Get a conversation by id.

Security
ApiKeyAuth
Path
conversationIdinteger, (int64)required
GET
/v1/conversations/{conversationId}
curl -i -X GET \
  'https://dev.dixa.io/v1/conversations/{conversationId}' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The conversation

Bodyapplication/json
dataAnonymizedConversation (object) or ChatConversation (object) or ContactFormConversation (object) or EmailConversation (object) or FacebookMessengerConversation (object) or GenericConversation (object) or MessengerConversation (object) or PstnPhoneConversation (object) or SmsConversation (object) or TwitterConversation (object) or WhatsAppConversation (object)(Conversation)required
One of:
Response
{ "data": { "id": 1, "requesterId": "d58c8b1c-85ad-4678-a6c8-7442945f3836", "channel": "WidgetChat", "createdAt": "2020-12-16T09:41:43Z", "direction": "Outbound", "state": "Open", "stateUpdatedAt": "2020-12-16T09:41:43Z", "assignment": {}, "queue": {}, "browserInfo": {}, "language": "en", "link": {}, "customAttributes": [], "_type": "ChatConversation" } }